CVE-2013-2217

low
New! CVE Severity Now Using CVSS v3

The calculated severity for CVEs has been updated to use CVSS v3 by default. CVEs that do not have a CVSS v3 score will fall back CVSS v2 for calculating severity. Severity display preferences can be toggled in the settings dropdown.

Description

cache.py in Suds 0.4, when tempdir is set to None, allows local users to redirect SOAP queries and possibly have other unspecified impact via a symlink attack on a cache file with a predictable name in /tmp/suds/.

References

http://lists.opensuse.org/opensuse-updates/2013-07/msg00062.html

http://www.openwall.com/lists/oss-security/2013/06/27/8

http://www.ubuntu.com/usn/USN-2008-1

https://bugzilla.redhat.com/show_bug.cgi?id=978696

Details

Source: MITRE

Published: 2013-09-23

Updated: 2019-04-22

Type: CWE-59

Risk Information

CVSS v2

Base Score: 1.2

Vector: AV:L/AC:H/Au:N/C:N/I:P/A:N

Impact Score: 2.9

Exploitability Score: 1.9

Severity: LOW

Tenable Plugins

View all (3 total)

IDNameProductFamilySeverity
94032openSUSE Security Update : python-suds-jurko (openSUSE-2016-1178)NessusSuSE Local Security Checks
low
75090openSUSE Security Update : python-suds (openSUSE-SU-2013:1208-1)NessusSuSE Local Security Checks
low
70608Ubuntu 12.04 LTS / 12.10 / 13.04 : suds vulnerability (USN-2008-1)NessusUbuntu Local Security Checks
low